Name:           xhotkeys
Version:        0.9.8.3
Release:        21%{?dist}
Summary:        Hotkeys for the X-Window
Summary(pl):    Skróty klawiszowe dla X-okien
Group:          User Interface/X
License:        GPLv2+
URL:            http://www.nongnu.org/xhotkeys/
Source0:        http://download.savannah.nongnu.org/releases/%{name}/%{name}_%{version}.tar.gz
Source1:        %{name}.desktop
Patch0:         install_locations.patch
BuildRequires:  desktop-file-utils python2-xlib ImageMagick
Requires:       hicolor-icon-theme python2-xlib
BuildArch:      noarch

%description
Xhotkeys provides a simple and easily configurable hotkey launcher for
the X-Window System, binding keys and mouse buttons to configurable commands.
It should work on all desktops (Gnome, KDE, Xfce, ...) available for the
GNU/Linux operating system. Configuration files can be modified manually or
using a graphical GTK+ configurator.

%description -l pl
Xhotkeys udostępnia proste i łatwo do skonigurowania uruchamianie za pomocą
klawiatury dla systemu X-okien, skróty klawiszowe i przycisków myszki
do konfigurowanych komend. Aplikacja powinna działać ze wszystkimi graficznymi
środowiskami (Gnome, KDE, Xfce, ...) dostępnymi dla GNU/Linux systemów
operacyjnych. Konfiguracja plików jest możliwa ręcznie lub za pomocą
graficznego GTK+ konfiguratora.

%prep
%setup -q -n %{name}
%patch0

%build
#nothing to build

%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

desktop-file-install                \
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications         \
  %{SOURCE1}

%files
%doc README TODO COPYING
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
%{_datadir}/icons/hicolor/96x96/apps/%{name}.png
%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm

%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.8.3-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.9.8.3-20
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.8.3-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 18 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.8.3-18
- Remove obsolete scriptlets

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.8.3-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.8.3-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.8.3-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.8.3-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.8.3-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.8.3-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Feb 10 2013 Parag Nemade <paragn AT fedoraproject DOT org> - 0.9.8.3-11
- Remove vendor tag from desktop file as per https://fedorahosted.org/fesco/ticket/1077
- Cleanup spec as per recently changed packaging guidelines

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.8.3-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.8.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.8.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.8.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.8.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 04 2008 Krzysztof Kurzawski <kurzawax at gmail.com> - 0.9.8.3-5
- Correct .desktop

* Sat Feb 02 2008 Krzysztof Kurzawski <kurzawax at gmail.com> - 0.9.8.3-4
- Fix BRs and Rs
- Add install_locations patch
- Correct install section
- Correct files section

* Sat Feb 02 2008 Krzysztof Kurzawski <kurzawax at gmail.com> - 0.9.8.3-3
- Fix BRs

* Fri Feb 01 2008 Krzysztof Kurzawski <kurzawax at gmail.com> - 0.9.8.3-2
- Correct install section
- Correct files section

* Fri Feb 01 2008 Krzysztof Kurzawski <kurzawax at gmail.com> - 0.9.8.3-1
- First release
